<div class="div-mgt-header">
    <h2>Bevor es los geht müssen Sie sich registrieren</h2>
</div>

<div  class="container" style=" padding-bottom: 20px;">
    <form  [formGroup]="form" (ngSubmit)="submit()">
        <div class="form-group">
            <label for="firstName">Vorname</label>
            <input [(ngModel)]="firstName" type="text" formControlName="firstName" class="form-control"/>
            <div *ngIf="f.firstName.touched && f.firstName.invalid" class="alert alert-danger">
                <div *ngIf="f.firstName.errors.required">Name wird benötigt.</div>
                <div *ngIf="f.firstName.errors.minlength">Name ist zu kurz.</div>
            </div>
        </div>
        <div class="form-group">
            <label for="lastName">Nachname</label>
            <input [(ngModel)]="lastName" type="text" formControlName="lastName" class="form-control"/>
            <div *ngIf="f.lastName.touched && f.lastName.invalid" class="alert alert-danger">
                <div *ngIf="f.lastName.errors.required">Name wird benötigt.</div>
                <div *ngIf="f.lastName.errors.minlength">Name ist zu kurz.</div>
            </div>
        </div>
        <div class="form-group">
            <label for="email">E-Mail-Adresse</label>
            <input [(ngModel)]="email" type="text" formControlName="email" class="form-control"/>
            <div *ngIf="f.email.touched && f.email.invalid" class="alert alert-danger">
                <div *ngIf="f.emailName.errors.required">Email wird benötigt.</div>
                <div *ngIf="f.emailName.errors.minlength">Email ist ungültig.</div>
            </div>
        </div>
        <div class="form-group">
            <label for="street">Straße und Hausnummer</label>
            <input [(ngModel)]="street" type="text" formControlName="street" class="form-control"/>
            <div *ngIf="f.street.touched && f.street.invalid" class="alert alert-danger">
                <div *ngIf="f.street.errors.required">Adresse wird benötigt.</div>
                <div *ngIf="f.street.errors.minlength">Adresse ist zu kurz.</div>
            </div>
        </div>
        <div class="form-group">
            <label for="postCode">Postleitzahl und Stadt</label>
            <input [(ngModel)]="postCode" type="text" formControlName="postCode" class="form-control"/>
            <div *ngIf="f.postCode.touched && f.postCode.invalid" class="alert alert-danger">
                <div *ngIf="f.postCode.errors.required">PLZ wird benötigt.</div>
                <div *ngIf="f.postCode.errors.minlength">PLZ ist zu kurz.</div>
            </div>
        </div>
        <div class="form-group">
            <label for="phone">Telefonnummer</label>
            <input [(ngModel)]="phone" type="text" formControlName="phone" class="form-control"/>
            <div *ngIf="f.phone.touched && f.phone.invalid" class="alert alert-danger">
                <div *ngIf="f.phone.errors.required">Telefonnummer wird zur Kontaktaufnahme benötigt.</div>
                <div *ngIf="f.phone.errors.minlength">Telefonnummer ist zu kurz.</div>
            </div>
        </div>
        <!--
        <div class="form-group">
            <label for="password">Passwort</label>
            <input type="password" formControlName="password" class="form-control"/>
        </div>
        -->
        <div class="form-group">
            <button type="submit" class="btn btn-primary">
                Registrieren
            </button>
        </div>
    </form>
    
    <img style="object-fit: contain; width: 100%;" src="https://hips.hearstapps.com/hmg-prod.s3.amazonaws.com/images/tools-everyone-should-own-1576682734.jpg?crop=1.00xw:1.00xh;0,0&resize=980:*">
    </div>
















